Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class ConsultSupportAndRepairListResponseType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.ConsultSupportAndRepairListResponseType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class ConsultSupportAndRepairListResponseType extends Object implements Serializable
Groeperend element voor het antwoord op de vraag tot consultatie actieve budgetten onderhoud en herstel.

Java class for ConsultSupportAndRepairListResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultSupportAndRepairListResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="Accepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultSupportAndRepairListAcceptedType"/>
             <element name="NotAccepted" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ConsultSupportAndRepairListNotAcceptedType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultSupportAndRepairListResponseType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultSupportAndRepairListAcceptedType`
  `getAccepted()`
  Consultatie is goed ontvangen en het antwoord bevat één of meerdere budgetten.
  `ConsultSupportAndRepairListNotAcceptedType`
  `getNotAccepted()`
  Consultatie is in fout gegaan en het antwoord bevat één of meerdere fouten.
  `void`
  `setAccepted(ConsultSupportAndRepairListAcceptedType value)`
  Sets the value of the accepted property.
  `void`
  `setNotAccepted(ConsultSupportAndRepairListNotAcceptedType value)`
  Sets the value of the notAccepted property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultSupportAndRepairListResponseType

    public ConsultSupportAndRepairListResponseType()

- ## Method Details

  - ### getNotAccepted

    public ConsultSupportAndRepairListNotAcceptedType getNotAccepted()
    Consultatie is in fout gegaan en het antwoord bevat één of meerdere fouten.
    Returns:
      possible object is `ConsultSupportAndRepairListNotAcceptedType`

  - ### setNotAccepted

    public void setNotAccepted(ConsultSupportAndRepairListNotAcceptedType value)
    Sets the value of the notAccepted property.
    Parameters:
      `value` - allowed object is `ConsultSupportAndRepairListNotAcceptedType`
    See Also:
      - `getNotAccepted()`

  - ### getAccepted

    public ConsultSupportAndRepairListAcceptedType getAccepted()
    Consultatie is goed ontvangen en het antwoord bevat één of meerdere budgetten.
    Returns:
      possible object is `ConsultSupportAndRepairListAcceptedType`

  - ### setAccepted

    public void setAccepted(ConsultSupportAndRepairListAcceptedType value)
    Sets the value of the accepted property.
    Parameters:
      `value` - allowed object is `ConsultSupportAndRepairListAcceptedType`
    See Also:
      - `getAccepted()`